Commit 2c85e986 authored by Yori Fournier's avatar Yori Fournier
Browse files

correct the version bug for TkAgg

in case matplotlib has a version number with more than 3 numbers
like on newton (0.99.1.1) the former version gave: 9911 that is larger than 150...
eventhough 0.99 is older than 1.5

I correct by comparing only the 3 first numbers: now return 99 < 150
parent 4426fd36
......@@ -61,7 +61,8 @@ from matplotlib.backends.backend_tkagg import FigureManagerTkAgg, FigureCanvasTk
# Test mpl version:
from matplotlib import __version__ as mplvers
if int(mplvers.replace('.','')) < 150 :
if int(mplvers.replace('.','')[:3]) < 150 :
import six
from six.moves import tkinter as Tk
else :
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment